# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'portal_scraper/version'

Gem::Specification.new do |spec|
  spec.platform    = Gem::Platform::RUBY
  spec.name        = 'portal_scraper'
  spec.version     = PortalScraper::Version
  spec.authors     = ['Armand Mégrot', 'Thomas Burgaud']
  spec.email       = %w(armand.megrot@gmail.com thomasburgaud98@gmail.com)
  spec.summary     = 'Ruby portal scraper'
  spec.description = 'Scrapping client for extranet portals.'
  spec.license     = 'Apache-2.0'
  spec.homepage    = 'https://github.com/cashbee-team/portal_scraper'

  spec.files         = Dir.glob('lib/**/*') + ['portal-scraper.gemspec']
  spec.executables   = []
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.5.3'

  spec.add_dependency 'mechanize', '~> 2.7'
  spec.add_dependency 'activesupport', '>= 5.2', '< 7.0'

  spec.add_development_dependency 'rspec', '~> 3.2'
  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'rubocop', '~> 0.67.2'
  spec.add_development_dependency 'rubocop-performance'
end
